---
sidebar_label: Connection.fromSession
---

# Connection.fromSession() method

#### Signature:

```typescript
class Connection {
  static fromSession(session: CDPSession): Connection | undefined;
}
```

## Parameters

| Parameter | Type                                    | Description |
| --------- | --------------------------------------- | ----------- |
| session   | [CDPSession](./puppeteer.cdpsession.md) |             |

**Returns:**

[Connection](./puppeteer.connection.md) \| undefined
